Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

Initializes all verification routine due date values to now

Request

This should be used when verification is first initialized

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/routines/initialize' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Initialize successfully completed

Response
No content

Get the current verification run/workflow status

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification/status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The active verification run/workflow status

Bodyapplication/json
isWorkflowInProgressboolean

Flag indicating whether or not a verification run is in progress

isRunInProgressboolean

Flag indicating whether or not the verification at the current index is running

isServiceRoutineInProgressboolean

Flag indicating whether or not there is a service routine running

startTimestring(date-time)

The start time for the active verification run

currentIndexinteger(int32)

The verification current index of the verification run

runsArray of objects or null(RoutineRunDto)

The list of verification runs

serviceRoutineobject(ServiceRoutineDto)

The service routine

Response
application/json
{ "isWorkflowInProgress": true, "isRunInProgress": true, "isServiceRoutineInProgress": true, "startTime": "2019-08-24T14:15:22Z", "currentIndex": 0, "runs": [ {} ], "serviceRoutine": { "id": 0, "name": "string", "isRecommended": true, "lastRun": "2019-08-24T14:15:22Z" } }

Post digital signature to workflow

Request

Security
Bearer
Body
signatureStrstring or null

Image string for the signature

emailstring or null

Operator's email

certPasswordstring or null

Operator specific password used during cert creation

locationstring or null

Location of the operation being performed

reasonstring or null

The reason the operation and signature

userNamestring or null

The operator's name

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/signature' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "signatureStr": "string",
    "email": "string",
    "certPassword": "string",
    "location": "string",
    "reason": "string",
    "userName": "string"
  }'

Responses

The digital signature was added successfully

Response
No content

VerificationResult

Operations